Skip Navigation
Useful resources

YITH WooCommerce Multi Vendor is compatible with WPML. This plugin has been tested thoroughly, and you can use it to build multilingual sites without experiencing issues.

YITH WooCommerce Multi Vendor

– Developed by YITH

Version 2.3.1

Last tested on: January 15, 2018